Skip to main content
Infrastructure/Federation & SSO
GETFederationSince 1.0SynchronousAuth Required

ListCircuitBreakerStatuses

List circuit breaker statuses for all registered platforms.

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • itemsList

    Collection of result items

    Example: (nested array)

    • stateString

      Current circuit breaker state.

      Example: closed

    • failureCountInteger

      Consecutive failure count that contributed to the current state.

      Example: 5

    • lastFailureAtString

      Timestamp of the most recent failure that affected the circuit breaker.

      Example: 2026-01-15T08:00:00Z

    • nextRetryAtString

      Timestamp when the circuit breaker will attempt its next probe.

      Example: 2026-01-15T08:00:00Z

    • retryAfterSecondsInteger

      Seconds to wait before the next retry attempt.

      Example: 30

  • totalInteger

    Total number of circuit breaker statuses available.

    Example: 10

  • limitInteger

    Maximum number of items returned in this page.

    Example: 20

  • offsetInteger

    Zero-based offset of the first item in this page.

    Example: 20

Endpoint

GET/api/v1/platforms/circuit-breakers

/api/v1/platforms/circuit-breakers

Operation ID

ListCircuitBreakerStatuses

Permalink

Request Example

curl -X GET '{host}/api/v1/platforms/circuit-breakers' -H 'Authorization: Bearer {token}'

Response Example

200
{
  "items": [
    {}
  ],
  "total": 10,
  "limit": 20,
  "offset": 20
}

Change History

This API has no change history records yet.

View all change history